Idc=out(:,1);
Iq=out(:,2);
Id=out(:,3);
uq=out(:,4);
ud=out(:,5);
wm=out(:,6);
M=out(:,7);
I1=0.71*sqrt(Iq.^2+Id.^2);
U1=0.71*sqrt(uq.^2+ud.^2);
fii=atan(Iq./Id);
fiu=atan(uq./ud);
fi=fiu-fii;
Pdc=400*Idc;
P1=(3*U1.*I1.*cos(fi));
S1=3*U1.*I1;
Pm=M.*wm;
subplot(2,1,1);
plot(wm,Idc,wm,I1);
grid on;
xlabel('Speed (rad/s)')
ylabel('Idc,I1 (A)');
subplot(2,1,2);
plot(Pm,P1,Pm,S1,Pm,Pdc);
grid on;
ylabel('S1(VA),P1,Ps(W)');
grid on;
xlabel('Pm(W)');
